image: node

cache:
  paths:
    - node_modules/

before_script:
  - apt-get update -qq && apt-get install -y -qq sshpass rsync

deploy:
  only:
    refs:
      - master
  stage: deploy
  environment: Production
  script:
    - yarn install
    - yarn build
    - ls
    - sshpass -V
    - export SSHPASS=$USER_PASS
    - sshpass -e scp -o stricthostkeychecking=no -rC ./build $USER_NAME@$DEPLOY_SERVER:/home/ubuntu/front
    - echo "Run"
    - ls
    - nohup sshpass -e ssh $USER_NAME@$DEPLOY_SERVER "./run.sh"